Bug 61891 - /etc/crontab and /etc/anacrontab PATH differ on /usr/local/sbin & bin
/etc/crontab and /etc/anacrontab PATH differ on /usr/local/sbin & bin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 13:27 EST by Jordan Russell
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: anacron-2.3-39.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 11:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2002-03-25 13:27:51 EST
Description of problem:
The PATH line in /etc/crontab currently looks like this:

  PATH=/sbin:/bin:/usr/sbin:/usr/bin

/etc/anacrontab reads this way, however:

  PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

I can't imagine why the two would have different PATHs. I think /etc/crontab 
should also list /usr/local/sbin & bin.


Version-Release number of selected component (if applicable):
crontabs-1.10-1
Comment 1 Jordan Russell 2003-09-07 22:54:14 EDT
Problem still exists in Red Hat 9 with crontabs-1.10-5
Comment 2 Jordan Russell 2004-06-11 14:36:07 EDT
Still exists in Fedora Core 2 with crontabs-1.10-6
Comment 3 Jason Vas Dias 2004-08-10 15:40:19 EDT
 If you want a different $PATH in /etc/crontab, make it so !
 That's what configuration files are for.
 There may be some systems that depend on /usr/local/*bin NOT
 being in the /etc/crontab $PATH. 
 With PAM enabled in vixie-cron-4.1 the environment now comes from
 pam_env unless overridden by crontab file settings.
 
Comment 4 Jordan Russell 2004-08-10 16:53:42 EDT
> There may be some systems that depend on /usr/local/*bin NOT
> being in the /etc/crontab $PATH.

Then why does /etc/anacrontab include /usr/local/*bin by default?

anacron runs the very same scripts that cron does, but 
with /usr/local/*bin in the path!

There is a bug here -- the only question is whether it is 
in /etc/crontab (i.e. it SHOULD list /usr/local/*bin) or 
in /etc/anacrontab (i.e. it SHOULDN'T list /usr/local/*bin).

I would lean toward adding /usr/local/*bin to /etc/crontab 
since /usr/local/*bin is included in the PATH almost everywhere else.
Comment 5 Matthew Miller 2005-04-26 11:05:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Marius Andreiana 2005-08-20 03:55:06 EDT
Issue explained in comment #4 still exist in FC4. Shouldn't PATHs be the same in
both files?
Comment 7 Matthew Miller 2006-07-14 13:32:57 EDT
This is still the same in devel. I'm going to change the description to point
out the problem rather than the proposed solution. :)
Comment 8 Jitka Kozana 2006-08-30 09:00:32 EDT
I am going to change the PATH in /etc/anacrontab to make the PATH the same as it is 
in /etc/crontab. The PATH in /etc/crontab should be sufficient. If not, then I belive the user can 
change add the missing item to his PATH in /etc/anacrontab.
Comment 9 Jitka Kozana 2006-08-30 11:34:40 EDT
The bug should be fixed in version anacron-2.3-39.fc6. 
Update for FC5 has been pushed (anacron-2.3-39.fc5).

Note You need to log in before you can comment on or make changes to this bug.